Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] testing/plzip: new aport

From: Klemens Nanni <kl3_at_posteo.org>
Date: Tue, 5 Jul 2016 14:34:05 +0200

---
 testing/plzip/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/plzip/APKBUILD
diff --git a/testing/plzip/APKBUILD b/testing/plzip/APKBUILD
new file mode 100644
index 0000000..38999c3
--- /dev/null
+++ b/testing/plzip/APKBUILD
_at_@ -0,0 +1,30 @@
+# Contributor: Klemens Nanni <kl3_at_posteo.org>
+# Maintainer: Klemens Nanni <kl3_at_posteo.org>
+pkgname=plzip
+pkgver=1.5
+pkgrel=0
+pkgdesc="Plzip is a massively parallel lossless data compressor"
+url="http://www.nongnu.org/lzip/plzip.html"
+arch="all"
+license="GPL2+"
+depends=""
+depends_dev=""
+makedepends=""
+install=""
+subpackages="${pkgname}-doc"
+source="http://download.savannah.gnu.org/releases/lzip/${pkgname}/${pkgname}-${pkgver}.tar.gz"
+
+builddir="${srcdir}/${pkgname}-${pkgver}"
+build() {
+	cd "${builddir}"
+	./configure --prefix=/usr
+	make || return 1
+}
+
+package() {
+	cd "${builddir}"
+	make DESTDIR="${pkgdir}" install || return 1
+}
+md5sums="504d46ba468d337ec6c42f3c583632ba  plzip-1.5.tar.gz"
+sha256sums="cd401683c2c57ecf170c99a873e41e9e5fee0e9680341646e31032e31489cc8a  plzip-1.5.tar.gz"
+sha512sums="af3f7b6cb249686286d90683c3040591e0bc362dc4c10c054836de179e52755539650963c06a21f76f3db418ed08606c754af73af1d5baf081f434ddcadd01c5  plzip-1.5.tar.gz"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Jul 05 2016 - 14:34:05 GMT